Package Details: chromium-dev 89.0.4381.6-1

Git Clone URL: https://aur.archlinux.org/chromium-dev.git (read-only, click to copy)
Package Base: chromium-dev
Description: The open-source project behind Google Chrome (Dev Channel)
Upstream URL: http://www.chromium.org
Keywords: browser web
Licenses: BSD
Submitter: None
Maintainer: sl1pkn07
Last Packager: sl1pkn07
Votes: 159
Popularity: 0.48
First Submitted: 2010-05-17 09:04
Last Updated: 2021-01-10 15:08

Dependencies (32)

Required by (0)

Sources (4)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

sl1pkn07 commented on 2021-01-15 16:12

can you post the output?

greetings

hexhu commented on 2021-01-15 15:31

For anyone encountering compile errors about a missing spirv header: spirv-headers should have been a makedepends for this package.

java-runtime-headless should also be a makedepends, as in extra/chromium's PKGBUILD. See my bug report a few comments below for details.

DAC324 commented on 2021-01-13 17:59

@auruser123: PKGBUILD has been fixed. Either try reinstalling this package or download the new PKGBUILD and build the package locally using makepkg and install it afterwards.

auruser123 commented on 2021-01-08 08:47

Fails to install for me:

-> Cloning chromium-launcher git repo...
Cloning into bare repository '$HOME/.cache/rua/build/chromium-dev/chromium-launcher'...
remote: Enumerating objects: 233, done.
remote: Total 233 (delta 0), reused 0 (delta 0), pack-reused 233
Receiving objects: 100% (233/233), 38.26 KiB | 1.06 MiB/s, done.
Resolving deltas: 100% (118/118), done.
  -> Found chromium-dev.svg
  -> Downloading chromium-skia-harmony-r2.patch...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404
==> ERROR: Failure while downloading https://git.archlinux.org/svntogit /packages.git/plain/trunk/chromium-skia-harmony.patch?h=packages/chromium
    Aborting...

Been failing like this for a couple of weeks already, so the fact that nobody else has raised this is suspicious. Is there a different package that I should be using instead? I just need the last development version of chrome because I'm on wayland.

hexhu commented on 2020-10-05 19:52

Java should be added as a dependency. Can anyone confirm this?

compiling mojo_bindings_lite.js seems to require java

After yay -Rns java-runtime-common jre-openjdk-headless, yay -S chromium-dev:

[1943/48789] /usr/bin/python2 ../../third_party/closure_compiler/js_binary.py --compiler ../../third_party/closure_compiler/compiler/compiler.jar --output gen/mojo/public/js/mojo_bindings_lite.js --deps gen/mojo/public/js/bindings_lite_sources.js_library --sources ../../mojo/public/js/bindings_lite.js --flags jscomp_error=accessControls jscomp_error=checkTypes jscomp_error=checkVars jscomp_error=constantProperty jscomp_error=deprecated jscomp_error=externsValidation jscomp_error=globalThis jscomp_error=invalidCasts jscomp_error=misplacedTypeAnnotation jscomp_error=missingProperties jscomp_error=missingReturn jscomp_error=nonStandardJsDocs jscomp_error=suspiciousCode jscomp_error=undefinedNames jscomp_error=undefinedVars jscomp_error=unknownDefines jscomp_error=uselessCode jscomp_error=visibility compilation_level=ADVANCED_OPTIMIZATIONS language_in=ECMASCRIPT_2017 language_out=ECMASCRIPT_2015 generate_exports export_local_property_definitions isolation_mode=IIFE --externs ../../third_party/closure_compiler/externs/chrome.js ../../third_party/closure_compiler/externs/polymer-1.0.js ../../third_party/closure_compiler/externs/mojo_core.js ../../third_party/closure_compiler/externs/pending.js
FAILED: gen/mojo/public/js/mojo_bindings_lite.js 
/usr/bin/python2 ../../third_party/closure_compiler/js_binary.py --compiler ../../third_party/closure_compiler/compiler/compiler.jar --output gen/mojo/public/js/mojo_bindings_lite.js --deps gen/mojo/public/js/bindings_lite_sources.js_library --sources ../../mojo/public/js/bindings_lite.js --flags jscomp_error=accessControls jscomp_error=checkTypes jscomp_error=checkVars jscomp_error=constantProperty jscomp_error=deprecated jscomp_error=externsValidation jscomp_error=globalThis jscomp_error=invalidCasts jscomp_error=misplacedTypeAnnotation jscomp_error=missingProperties jscomp_error=missingReturn jscomp_error=nonStandardJsDocs jscomp_error=suspiciousCode jscomp_error=undefinedNames jscomp_error=undefinedVars jscomp_error=unknownDefines jscomp_error=uselessCode jscomp_error=visibility compilation_level=ADVANCED_OPTIMIZATIONS language_in=ECMASCRIPT_2017 language_out=ECMASCRIPT_2015 generate_exports export_local_property_definitions isolation_mode=IIFE --externs ../../third_party/closure_compiler/externs/chrome.js ../../third_party/closure_compiler/externs/polymer-1.0.js ../../third_party/closure_compiler/externs/mojo_core.js ../../third_party/closure_compiler/externs/pending.js
../../third_party/closure_compiler/compiler/compiler.jar --jscomp_error=accessControls --jscomp_error=checkTypes --jscomp_error=checkVars --jscomp_error=constantProperty --jscomp_error=deprecated --jscomp_error=externsValidation --jscomp_error=globalThis --jscomp_error=invalidCasts --jscomp_error=misplacedTypeAnnotation --jscomp_error=missingProperties --jscomp_error=missingReturn --jscomp_error=nonStandardJsDocs --jscomp_error=suspiciousCode --jscomp_error=undefinedNames --jscomp_error=undefinedVars --jscomp_error=unknownDefines --jscomp_error=uselessCode --jscomp_error=visibility --compilation_level=ADVANCED_OPTIMIZATIONS --language_in=ECMASCRIPT_2017 --language_out=ECMASCRIPT_2015 --generate_exports --export_local_property_definitions --isolation_mode=IIFE --externs=../../third_party/closure_compiler/externs/mojo_core.js --externs=../../third_party/closure_compiler/externs/pending.js --externs=../../third_party/closure_compiler/externs/chrome.js --externs=../../third_party/closure_compiler/externs/polymer-1.0.js --js_output_file gen/mojo/public/js/mojo_bindings_lite.js --js gen/mojo/public/interfaces/bindings/interface_control_messages.mojom-lite-for-compile.js gen/mojo/public/interfaces/bindings/native_struct.mojom-lite-for-compile.js gen/mojo/public/interfaces/bindings/pipe_control_messages.mojom-lite-for-compile.js ../../mojo/public/js/compile_preamble.js ../../mojo/public/js/bindings_lite.js ../../mojo/public/js/interface_support.js
/bin/sh: java: command not found

DAC324 commented on 2020-09-28 10:57

How do I include vaapi and vdpau in this package?

corsaw commented on 2020-08-17 23:14

Edit: I was able to build chromium-vaapi after replacing gn-git with gn, though it doesn't help me with this package since it depends on gn-git.

I tried building chromium-vaapi and I get the same issue there as well. I guess there is something wrong with my system/environment, you can disregard my previous comment.

sl1pkn07 commented on 2020-08-17 14:37

that sound like MacOS. but, why?

corsaw commented on 2020-08-17 13:58

I get an error when building. I'm assuming there's a missing dependency, but I'm not sure what to look for.

Defining config //third_party/webrtc:common_objc(//build/toolchain/linux/unbundle:default)
ERROR at //third_party/webrtc/BUILD.gn:417:12: Unsupported value in libs.
  libs = [ "Foundation.framework" ]
       ^---------------------
Use frameworks to list framework dependencies.
See //third_party/webrtc_overrides/BUILD.gn:8:16: which caused the file to be included.
  configs += [ "//third_party/webrtc:common_config" ]
           ^-----------------------------------
Defining target //third_party/webrtc/rtc_base:safe_conversions(//build/toolchain/linux/unbundle:default)
Loading //third_party/webrtc/rtc_base/system/BUILD.gn (referenced from //third_party/webrtc_overrides/BUILD.gn:142)
==> ERROR: A failure occurred in build().
    Aborting...

StackException commented on 2020-07-06 17:15

libva.so.2 is missing, chromium-dev doesn't launch without missing so (shared object) files at least by default, this has been going on since about a month now, pacman -S libva worksaround this